View Javadoc

    1   // ========================================================================
    2   // $Id: TextArea.java,v 1.3 2004/05/09 20:31:28 gregwilkins Exp $
    3   // Copyright 1996-2004 Mort Bay Consulting Pty. Ltd.
    4   // ------------------------------------------------------------------------
    5   // Licensed under the Apache License, Version 2.0 (the "License");
    6   // you may not use this file except in compliance with the License.
    7   // You may obtain a copy of the License at
    8   // http://www.apache.org/licenses/LICENSE-2.0
    9   // Unless required by applicable law or agreed to in writing, software
    10  // distributed under the License is distributed on an "AS IS" BASIS,
    11  // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  // See the License for the specific language governing permissions and
    13  // limitations under the License.
    14  // ========================================================================
    15
    16  package org.mortbay.html;
    17
    18  /* -------------------------------------------------------------------- */
    19  /** A Text Area within a form.
    20   * <p> The text in the textarea is handled by the super class, Text
    21   * @see org.mortbay.html.Text
    22   */
    23  public class TextArea extends Block
    24  {
    25      /* ----------------------------------------------------------------- */
    26      /** @param name The name of the TextArea within the form */
    27      public TextArea(String name)
    28      {
    29          super("textarea");
    30          attribute("name",name);
    31      }
    32
    33      /* ----------------------------------------------------------------- */
    34      /** @param name The name of the TextArea within the form
    35       * @param s The string in the text area */
    36      public TextArea(String name, String s)
    37      {
    38          this(name);
    39          add(s);
    40      }
    41
    42      /* ----------------------------------------------------------------- */
    43      public TextArea setSize(int cols,int lines)
    44      {
    45          attribute("rows",lines);
    46          attribute("cols",cols);
    47          return this;
    48      }
    49  }
    50